function makeTextNode(text) {
	return document.createTextNode(text);
}


function makeLabel(label, id) {
	var newLabel = document.createElement("label");
	if (id !== undefined && id != "") {
		newLabel.setAttribute("for", id);
	}
	newLabel.appendChild(makeTextNode(label));
	//var newDiv = document.createElement("div");
		//newDiv.appendChild(newLabel);
	return newLabel;
}

function makeInput(type,id,value,label,required){
	var newInput = document.createElement("input");
	newInput.setAttribute("type",type);
	newInput.setAttribute("class",required);
	if (id !== undefined && id != "") {
		newInput.setAttribute("id", id);
		newInput.setAttribute("name", id);

	}
	if (value !== undefined && value != "") {
		newInput.setAttribute("value",value);
	}
	if (label !== undefined && label != "") {
		var newLabel = makeLabel(label,id);
		var newDiv = document.createElement("div");
		newDiv.appendChild(newLabel);
		newDiv.appendChild(newInput);
		return newDiv;
	}
	else{
		return newInput;
	}
}

function makeSelect(id,values,label){
	var newSelect = document.createElement("select");
	
	if (id !== undefined && id != "") {
		newSelect.setAttribute("id", id);
		newSelect.setAttribute("name", id);
	}
	for(i=0; i<values.length; i++){
		var newOption = document.createElement("option");
		newOption.setAttribute("value",values[i]);
		newOption.appendChild(makeTextNode(values[i]));
		newSelect.appendChild(newOption);
	}
	if (label !== undefined && label != "") {
		var newLabel = makeLabel(label,id);
		var newDiv = document.createElement("div");
		newDiv.appendChild(newLabel);
		newDiv.appendChild(newSelect);
		return newDiv;
	}
	else{
		return newSelect;
	}
}

function makeArray(start,end){
	var myArray = [];
	for(i=start; i<=end; i++){
		var myString = i.toString();
		myArray.push(myString);
	}
	return myArray;
}

function chooseColor() {
	var colors = ['', 'red', 'orange', 'yellow', 'green', 'blue', 'purple', 'violet', 'pink'];
	return colors;
}


function makeInputButton(type,id,value,label,checked=null){
	var newInput = document.createElement("input");
	newInput.setAttribute("type",type);
	if (id !== undefined && id != "") {
		newInput.setAttribute("name", id);
	}
	if (value !== undefined && value != "") {
		newInput.setAttribute("value",value);
		newInput.setAttribute("id", value);
	}
	if (label !== undefined && label != "") {
		var newLabel = makeLabel(label,id);	
		if(label == "Friendship" && type == "checkbox"){newInput.setAttribute("checked",checked);}
		var newSpan = document.createElement("span");
		newSpan.appendChild(newInput);
		newSpan.appendChild(newLabel);	
		return newSpan;
	}
	else{
		return newInput;
	}
}

function makeButton(type,id,arrayOfValues,label,required){
	var newDiv = document.createElement("div");
	
	if (label !== undefined && label != "") {
		var newLabel = makeLabel(label,id);
		newDiv.appendChild(newLabel);
	}
	var newSpan = document.createElement("span");
	newSpan.setAttribute("class",required);
	if (id !== undefined && id != "") {
		newSpan.setAttribute("id",id);
	}
	for(i=0; i<arrayOfValues.length; i++){
		var newInput = makeInputButton(type,id,arrayOfValues[i],arrayOfValues[i]);
		newSpan.appendChild(newInput);	
		var linebreak = document.createElement("br");
		newSpan.appendChild(linebreak);
	}
	
	newDiv.appendChild(newSpan);
	return newDiv;
}

function checkForm(event){
	var inputsI = document.querySelectorAll("input.required");	
	for(i=0; i<inputsI.length; i++){
		if (inputsI[i].value == undefined || inputsI[i].value == ""){
			inputsI[i].parentElement.style.borderColor = "red";
			inputsI[i].parentElement.firstChild.style.color = "red";
			event.preventDefault();
		}
		else{
			inputsI[i].parentElement.style.borderColor = "black";
			inputsI[i].parentElement.firstChild.style.color = "black";
		}
	}
	
	var inputsS = document.querySelectorAll("span.required");
	for(i=0; i<inputsS.length; i++){
		var holder = inputsS[i].querySelectorAll("input");
		var isChecked = false;
			for (j=0; j<holder.length; j++){
				if(holder[j].checked == true){
					isChecked = true;
				}
			}
		if (isChecked == false){
			inputsS[i].parentElement.style.borderColor = "red";
			inputsS[i].parentElement.firstChild.style.color = "red";
			event.preventDefault();
		}
		else{
			inputsS[i].parentElement.style.borderColor = "black";
			inputsS[i].parentElement.firstChild.style.color = "black";
		}
	}
	
}	
	
	














